// $Id: setgamma.h,v 1.9 2007/10/03 21:00:37 hvengel Exp $
//  Lttle cms Profiler
//  Copyright (C) 1998-2001 Marti Maria
// Copyright (C) 2005 Hal Engel
//
// THIS SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
// OF THIS SOFTWARE.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// Version 1.11

#ifndef SETGAMMA_H
#define SETGAMMA_H

#include <qimage.h>
#include "setgammabase.h"

class  SetGamma : public SetGammaBase
{
  Q_OBJECT

public:

  SetGamma(QWidget *parent = 0 );
  ~SetGamma();

public slots:
    	virtual void slotChangeGamma();
	virtual void slotGammaSlider();
	virtual void slotGammaRadio();



protected:
     void SlidersToValues();
     void ValuesToLabels();
    void RenderGamma();
    void ProofGamma();
    void FillResultsGrid(void);
    void slotOK();
    void slotChangeStrategy();
    void slotHelpButton();
    void Set_dwMask_Gamma ();
    void Gamma_loop (QImage in, QImage out);

    QPixmap* GammaPix;
    QImage GammaBitmap;
    QImage Screen;
    QPixmap ScreenPixmap;

    QPixmap* ChartPix;
    QImage ChartBitmap;
    QImage ChartScreen;
    QPixmap ChartScreenPixmap;
};

#endif
