//  Copyright (C) 2007 Hal Engel
//
// THIS SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
// OF THIS SOFTWARE.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// Version 1.11

#ifndef MAIN_H
#define MAIN_H

#include <qapplication.h>

#ifdef __cplusplus
extern "C" {
#endif

#define DATA_TYPES_ONLY
#include "insttypes.h"

#ifdef __cplusplus
}
#endif

// use this in both the main app and the measurement
// applet to make later integration easier

extern QApplication *lprofApp;

struct instData
{
    instType Inst;
    QString name;
    QString port;
    int position;
    bool dupType;
    int listSize;
};

enum lprof_dialogs
{
  lprofmain,
  refile,
  monVald,
  profChecker,
  profID,
  profParms,
  profParmsMon,
  monCalControl
};

QString getAppExecDir();

bool checkSpyd2OK();

#endif // MAIN_H
