// $Id: profileparms.h,v 1.13 2007/10/05 19:09:18 hvengel Exp $
//  Little cms Profiler
// Copyright (C) 2005-2007 Hal Engel
//
// THIS SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
// OF THIS SOFTWARE.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// Version 1.11

#ifndef PROFILEPARMS_H
#define PROFILEPARMS_H

#include <qvariant.h>
#include <qdialog.h>
#include <wwfloatspinbox.h>

#include "profileparmsbase.h"
#include "lprofmain.h"
#include"lcmsprf.h"


class  ProfileParms : public ProfileParmsBase
{
  Q_OBJECT

public:

  ProfileParms(QWidget *parent = 0 );
  ~ProfileParms();

public slots:
            virtual void slotChangeStrategy();
            virtual void slotShow();
            virtual void slotCancel();

protected:

	QStringList TargetSheetsList;
	QStringList TargetFileNames;

	// Bring values to Widgets
	void ValuesToControls();
	void ControlsToValues();
	void slotOK();
        virtual void slotHelpButton();
        void SmoothnessChanged();
        void slotVCpresetChanged();
        void setVCpresetList();
        vcIndex getCVindex (QString text);
        int currItemFromIndex (int index, BOOL PCS);
	// void FillResultsGrid(void);

        void slotPickButton();

	QString ConfigFile;

signals:
        void signalPickRGB();
        void profileParmsOK();


};

#endif
