// $Id: installreffile.h,v 1.20 2007/10/17 21:52:19 hvengel Exp $
//  Little cms Profiler
// Copyright (C) 2005-2007 Hal Engel
//
// THIS SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND,
// EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY
// WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
//
// IN NO EVENT SHALL THE DEVELOPERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
// OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
// WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF
// LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE
// OF THIS SOFTWARE.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
// Version 1.11

#ifndef INSTALLREFFILE_H
#define INSTALLREFFILE_H

#include <lprofmain.h>
#include <installreffilebase.h>
#include <qurloperator.h>

class QNetworkOperation;

enum TemplateType
{
    hct,
    It8_kodak,
    It8_19column,
    It8_22column,
    colorChecker_SG,
    colorChecker_DC,
    colorChecker_24,
    i1_scanner_14,
    invalid
};

class InstallRefFile : public InstallRefFileBase
{
    Q_OBJECT

public:

    InstallRefFile(QWidget *parent = 0);
    ~InstallRefFile();
	
private:
    virtual void slotOK();
    virtual void slotCancel();
    virtual void slotHelpButton();	
    virtual void ConvertHCTrefToCGATS();
    QString CreateCustomHCTtemplate();
    TemplateType CheckTemplateType();
    virtual void CopyTemplateFunction(TemplateType templateCatagory);
    virtual void ColorCheckerConvert();
    void CleanKEYWORDS(QString inFile, QString outFile);
    bool refNotToOld();

    QUrlOperator urlOp;
    int copyNum;
    ref_file_parms dirs;
    targetTemplate files;
    QSettings* settings;

private slots:
    void slotFileCopied( QNetworkOperation * );
    void slotTargetSelectorChanged();

};

#endif
